System broken after update

Post your update and upgrade related errors here
Forum rules
Before you post please read this

System broken after update

Postby kingnick42 on Mon Jun 10, 2013 3:09 am

I enabled the Romeo repositories, then did a apt-get update and upgrade. Booted back, only Gnome Session loads. Trying to load Cinnamon or Cinnamon 2D results in this error.

/etc/mdm/Xsession: Beginning session setup...
localuser:nicholas being added to access control list
Failed to connect to the VirtualBox kernel service
Failed to connect to the VirtualBox kernel service
Failed to connect to the VirtualBox kernel service
Failed to connect to the VirtualBox kernel service
gnome-keyring-daemon: insufficient process capabilities, unsecure memory might get used
gnome-keyring-daemon: insufficient process capabilities, unsecure memory might get used
gnome-keyring-daemon: insufficient process capabilities, unsecure memory might get used
gnome-keyring-daemon: insufficient process capabilities, unsecure memory might get used
GNOME_KEYRING_CONTROL=/home/nicholas/.cache/keyring-cOSYoF
GNOME_KEYRING_CONTROL=/home/nicholas/.cache/keyring-cOSYoF
GPG_AGENT_INFO=/home/nicholas/.cache/keyring-cOSYoF/gpg:0:1
GNOME_KEYRING_CONTROL=/home/nicholas/.cache/keyring-cOSYoF
GPG_AGENT_INFO=/home/nicholas/.cache/keyring-cOSYoF/gpg:0:1
GNOME_KEYRING_CONTROL=/home/nicholas/.cache/keyring-cOSYoF
GPG_AGENT_INFO=/home/nicholas/.cache/keyring-cOSYoF/gpg:0:1
SSH_AUTH_SOCK=/home/nicholas/.cache/keyring-cOSYoF/ssh
Window manager warning: Software rendering detected: Gallium 0.4 on llvmpipe (LLVM 0x209)
access control disabled, clients can connect from any host
JS ERROR: !!! Exception was: Error: Requiring Cinnamon, version none: Typelib file for namespace 'Meta', version '3.0' not found
JS ERROR: !!! lineNumber = '0'
JS ERROR: !!! fileName = '"gjs_throw"'
JS ERROR: !!! stack = '"("Requiring Cinnamon, version none: Typelib file for namespace 'Meta', version '3.0' not found")@gjs_throw:0
@/usr/share/cinnamon/js/ui/environment.js:13
"'
JS ERROR: !!! message = '"Requiring Cinnamon, version none: Typelib file for namespace 'Meta', version '3.0' not found"'
JS ERROR: !!! Exception was: Error: Requiring Cinnamon, version none: Typelib file for namespace 'Meta', version '3.0' not found
JS ERROR: !!! lineNumber = '0'
JS ERROR: !!! fileName = '"gjs_throw"'
JS ERROR: !!! stack = '"("Requiring Cinnamon, version none: Typelib file for namespace 'Meta', version '3.0' not found")@gjs_throw:0
@/usr/share/cinnamon/js/ui/environment.js:13
"'
JS ERROR: !!! message = '"Requiring Cinnamon, version none: Typelib file for namespace 'Meta', version '3.0' not found"'
Window manager warning: Log level 32: Execution of main.js threw exception: Error: Requiring Cinnamon, version none: Typelib file for namespace 'Meta', version '3.0' not found
gnome-session[4621]: WARNING: Application 'cinnamon2d.desktop' killed by signal 15
** Message: applet now removed from the notification area
Window manager warning: Software rendering detected: Gallium 0.4 on llvmpipe (LLVM 0x209)
JS ERROR: !!! Exception was: Error: Requiring Cinnamon, version none: Typelib file for namespace 'Meta', version '3.0' not found
JS ERROR: !!! lineNumber = '0'
JS ERROR: !!! fileName = '"gjs_throw"'
JS ERROR: !!! stack = '"("Requiring Cinnamon, version none: Typelib file for namespace 'Meta', version '3.0' not found")@gjs_throw:0
@/usr/share/cinnamon/js/ui/environment.js:13
"'
JS ERROR: !!! message = '"Requiring Cinnamon, version none: Typelib file for namespace 'Meta', version '3.0' not found"'
JS ERROR: !!! Exception was: Error: Requiring Cinnamon, version none: Typelib file for namespace 'Meta', version '3.0' not found
JS ERROR: !!! lineNumber = '0'
JS ERROR: !!! fileName = '"gjs_throw"'
JS ERROR: !!! stack = '"("Requiring Cinnamon, version none: Typelib file for namespace 'Meta', version '3.0' not found")@gjs_throw:0
@/usr/share/cinnamon/js/ui/environment.js:13
"'
JS ERROR: !!! message = '"Requiring Cinnamon, version none: Typelib file for namespace 'Meta', version '3.0' not found"'
Window manager warning: Log level 32: Execution of main.js threw exception: Error: Requiring Cinnamon, version none: Typelib file for namespace 'Meta', version '3.0' not found
gnome-session[4621]: WARNING: App 'cinnamon2d.desktop' respawning too quickly

** (nemo:4765): WARNING **: Can not calculate _NET_NUMBER_OF_DESKTOPS

** (nemo:4765): WARNING **: Can not calculate _NET_NUMBER_OF_DESKTOPS

** (nemo:4765): WARNING **: Can not get _NET_WORKAREA

** (nemo:4765): WARNING **: Can not determine workarea, guessing at layout
[1370847791,000,xklavier.c:xkl_engine_start_listen/] The backend does not require manual layout management - but it is provided by the application

I then disabled the romeo repositories, before doing another update and upgrade. Same thing. What's wrong, and how can I fix it?
kingnick42
Level 1
Level 1
 
Posts: 38
Joined: Sat Dec 15, 2012 7:05 pm

Linux Mint is funded by ads and donations.
 

Re: System broken after update

Postby peteri on Sun Jun 16, 2013 5:23 am

i have exactly the same issue, enabled romeo packages, upgraded, and cant login to cinnamon anymore

i upgraded the following packages:
nemo:amd64 (1.1.2+lmde, 1.8.3+lmde), gir1.2-muffin-3.0:amd64 (1.1.2+lmde, 1.8.2+lmde), libnemo-extension1:amd64 (1.1.2+lmde, 1.8.3+lmde), libmuffin0:amd64 (1.1.2+lmde, 1.8.2+lmde), debian-system-adjustments:amd64 (2013.03.01, 2013.05.17), muffin-common:amd64 (1.1.2+lmde, 1.8.2+lmde), mint-mdm-themes:amd64 (1.0.7, 1.1.0), mint-flashplugin-11:amd64 (11.0.d1.98, 11.2.202.280), nemo-data:amd64 (1.1.2+lmde, 1.8.3+lmde)

i personally think its something with nemo
any hints?
peteri
Level 1
Level 1
 
Posts: 2
Joined: Sun Jun 16, 2013 5:15 am

Re: System broken after update

Postby peteri on Sun Jun 16, 2013 10:08 am

i fixed my issues by adding the debian wheezy repo to the apt sources lists and did a full upgrade. i think my system is now more debian than mint, but the cinnamon login issue is gone i a have a up-to-date system :)
peteri
Level 1
Level 1
 
Posts: 2
Joined: Sun Jun 16, 2013 5:15 am

Re: System broken after update

Postby Flashwalker on Sat Jul 06, 2013 9:38 am

peteri wrote:i have exactly the same issue, enabled romeo packages, upgraded, and cant login to cinnamon anymore

i upgraded the following packages:
nemo:amd64 (1.1.2+lmde, 1.8.3+lmde), gir1.2-muffin-3.0:amd64 (1.1.2+lmde, 1.8.2+lmde), libnemo-extension1:amd64 (1.1.2+lmde, 1.8.3+lmde), libmuffin0:amd64 (1.1.2+lmde, 1.8.2+lmde), debian-system-adjustments:amd64 (2013.03.01, 2013.05.17), muffin-common:amd64 (1.1.2+lmde, 1.8.2+lmde), mint-mdm-themes:amd64 (1.0.7, 1.1.0), mint-flashplugin-11:amd64 (11.0.d1.98, 11.2.202.280), nemo-data:amd64 (1.1.2+lmde, 1.8.3+lmde)

i personally think its something with nemo
any hints?


Try to upgrade the sytem more widely
Flashwalker
Level 1
Level 1
 
Posts: 8
Joined: Sat May 22, 2010 2:42 pm


Return to Update/Upgrade Issues

Who is online

Users browsing this forum: No registered users and 5 guests